com.google.gwt.codegen.server

## Class CodeGenUtils

- java.lang.Object
- - com.google.gwt.codegen.server.CodeGenUtils

    public class CodeGenUtils
    extends java.lang.Object

Helper class for code generators.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `asStringLiteral(java.lang.String literal)` Produce a string which represents a string literal in Java source, including null values.
`static java.lang.String` `escape(java.lang.String unescaped)` Escapes string content to be a valid string literal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### asStringLiteral

    public static java.lang.String asStringLiteral(java.lang.String literal)

Produce a string which represents a string literal in Java source, including null values.

Parameters:
  `literal` -
Returns:
  Java source representation of the string literal

#### escape

    public static java.lang.String escape(java.lang.String unescaped)

Escapes string content to be a valid string literal.

Parameters:
  `unescaped` -
Returns:
  an escaped version of `unescaped`, suitable for being enclosed in double quotes in Java source